Subject: [bug#66424] [PATCH core-updates] gnu: libxkbcommon: Fix cross-compile.

From: John Kehayias <[email-masked]>
Date: Sat, 14 Oct 2023 21:02:41 +0000

Hi,

On Sun, Oct 15, 2023 at 01:30 AM, [email-masked] wrote:

>> 在 2023年10月13日，22:50，Maxim Cournoyer <[email-masked]> 写道：
>>
>>
>> On the top of my head, I thought pkg-config-for-build had been obsolete
>> by the pkg-config symbol being dynamically bound to something that makes
>> sense for the context it's used in, via some macro trickery.  I may have
>> misunderstood things
>
> For cross build,
>
> pkg-config -> xxxx-pkg-config
> pkg-config-for-build -> pkg-config
>
> libxkbcommon require wayland-scanner to generate c file, this is why
> need pkg-config-for-build, pkg-config is require by find library. Is
> different ,so libxkbcommon need both on cross build.

I'm not a cross-builder so I'll rely on you all for this.

If this change depends on other things in core-updates I'll leave it,
or if cross-building has had changes on core-updates. If it is just
something that can be done based on current master, I can cherry pick
the change from core-updates and apply this patch on mesa-updates.

What will work for everyone here?

I think my timeline will be quicker but I don't think this is
critical? I was just starting to gather what to apply on the mesa
branch, just waiting for the next mesa release (normally very quick
but current series has been delayed).

Thanks!
John